Name:           darkserver
Version:        1.0.3
Release:        2%{?dist}
Summary:        GNU build-id service
Group:          Applications/Publishing
License:        GPLv2+
URL:            https://github.com/kushaldas/darkserver
Source0:        http://kushal.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools python2-devel
BuildRequires:  systemd

Requires:       python-django
Requires:       httpd
Requires:       mod_wsgi
Requires:       postgresql
Requires:       python-psycopg2

%description
Service to provide details of GNU build-id. This is a Django based web-service
which keeps records of GNU build-ids of various ELF files imported from RPMs
and provide them in JSON format through web.

%prep
%setup -q


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__mkdir_p}  %{buildroot}%{_sysconfdir}/fedmsg.d/
%{__cp} fedmsg.d/darkserver.py %{buildroot}%{_sysconfdir}/fedmsg.d/darkserver.py
%{__mkdir_p} %{buildroot}%{_unitdir}
%{__install} -pm644 darkserver.service \
%{buildroot}%{_unitdir}/darkserver.service

%files
%doc README

%{_sbindir}/darkserver.wsgi
%config(noreplace)     %{_sysconfdir}/%{name}/settings*
%config(noreplace)     %{_sysconfdir}/%{name}/darkserverweb.conf
%config(noreplace)     %{_sysconfdir}/httpd/conf.d/darkserver-httpd.conf
%dir %{_sysconfdir}/%{name}
%dir %{python_sitelib}/darkserverweb/
%dir %{python_sitelib}/darkserverweb/buildid/
%dir %{_datadir}/darkserver/
%dir %{_datadir}/darkserver/static/
%{python_sitelib}/darkserverweb/*.py*
%{python_sitelib}/darkserverweb/buildid/*.py*
%{_datadir}/darkserver/static/*.*

%package importer
Summary: The importer system for darkserver
Requires:       redis
Requires:       wget
Requires:       python-retask
Requires:       python-redis
Requires:       python-cmd2
Requires:       python-requests
Requires:       koji
Requires:       elfutils rpmdevtools postgresql
Requires:       python-psycopg2
Requires:       python-elfdata
Requires:       fedmsg-hub


%description importer
Importer commands
%files importer

%config(noreplace)     %{_sysconfdir}/%{name}/darkjobworker.conf
%config(noreplace)     %{_sysconfdir}/%{name}/koji_info.json
%config(noreplace)     %{_sysconfdir}/%{name}/redis_server.json
%config(noreplace)     %{_sysconfdir}/%{name}/email.json

%{_sbindir}/darkdashboard
%dir %{python_sitelib}/darkimporter/
%dir %{python_sitelib}/darkserver/
%{python_sitelib}/darkserver/*.py*
%{python_sitelib}/darkimporter/*.py*
%{python_sitelib}/darkserver*.egg-info
%{_datadir}/darkserver/darkjobworker.py*
%config(noreplace) %{_sysconfdir}/fedmsg.d/darkserver.py*
%{_unitdir}/darkserver.service



%changelog
* Mon Feb 01 2016 Kushal Das <kushal@fedoraproject.org> - 1.0.3-2
- Fixes Python consumer entry points

* Fri Jan 29 2016 Kushal Das <kushal@fedoraproject.org> - 1.0.3-1
- Updates to 1.0.3

* Fri Jan 29 2016 Kushal Das <kushal@fedoraproject.org> - 1.0.2-2
- Fixes requires dependencies

* Fri Jan 29 2016 Kushal Das <kushal@fedoraproject.org> - 1.0.2-1
- Updates to 1.0.2

* Wed Jan 27 2016 Kushal Das <kushal@fedoraproject.org> - 1.0.1-1
- Updates to 1.0.1

* Wed Jan 27 2016 Kushal Das <kushal@fedoraproject.org> - 1.0-3
- Using BR for systemd

* Wed Jan 27 2016 Kushal Das <kushal@fedoraproject.org> - 1.0-2
- Using requirement for python-django

* Wed Jan 27 2016 Kushal Das <kushal@fedoraproject.org> - 1.0-1
- Updated the source to 1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 02 2012 Kushal Das <kushal@fedoraproject.org> - 0.5.4-1
- Updated the source to 0.5.4, for bz#817625

* Thu Mar 22 2012 Kushal Das <kushal@fedoraproject.org> - 0.5.3-1
- Updated the source to 0.5.3, for bz#806013

* Thu Mar 22 2012 Kushal Das <kushal@fedoraproject.org> - 0.5.2-1
- Updated the source to 0.5.2

* Wed Mar 14 2012 Kushal Das <kushal@fedoraproject.org> - 0.5.1-1
- Updated the source to 0.5.1

* Wed Mar 14 2012 Kushal Das <kushal@fedoraproject.org> - 0.5-1
- Updated the source to 0.5, subpackage kojiplugin

* Tue Mar 13 2012 Kushal Das <kushal@fedoraproject.org> - 0.4.1-1
- Updated the source to 0.4.1, fixed syncdb issue

* Tue Mar 13 2012 Kushal Das <kushal@fedoraproject.org> - 0.4-1
- Updated the source to 0.4, removed the subpackage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 27 2011 Kushal Das <kushal@fedoraproject.org> - 0.3-1
- New release of the source

* Mon Dec 05 2011 Kushal Das <kushal@fedoraproject.org> - 0.2-1
- New release of the source

* Tue Nov 22 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-3
- Fixing the dir issues from bz#752771

* Fri Nov 11 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-2
- fixing the spec file better description and other ideas
  from review request bz#752771

* Thu Nov 10 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-1
- initial release
